<?php
namespace corth\BugReproduce\Domain\Model;

/**
 * Reproduce Bug
 *
 * @category   corth
 * @package    BugReproduce
 * @subpackage CheckModel
 * @author     Christopher Orth <corthmail@gmail.com>
 */

class Check extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * content
	 *
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<corth\BugReproduce\Domain\Model\Content>
	 */
	protected $content = NULL;

	/**
	 * class constructor
	 */
	public function __construct() {
		$this->initStorageObjects();
	}

	/**
	 * Initializes all ObjectStorage properties
	 *
	 * @return void
	 */
	protected function initStorageObjects() {
		$this->content = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
	}

	/**
	 * Returns the content
	 *
	 * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<corth\BugReproduce\Domain\Model\Content> $content
	 */
	public function getContent() {
		return $this->content;
	}

	/**
	 * Sets the content
	 *
	 * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<corth\BugReproduce\Domain\Model\Content> $content
	 * @return void
	 */
	public function setContent(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $content) {
		$this->content = $content;
	}

}